%global make_flags \\\
        LDFLAGS="%{__global_ldflags} -Lsrc" \\\
        LIBDIR=%{_libdir} \\\
        HWINFO_VERSION=%{version}

Name:           hwinfo
Version:        21.47
Release:        5%{?dist}
Summary:        Hardware information tool

License:        GPL+
URL:            https://github.com/openSUSE/hwinfo
Source0:        https://github.com/openSUSE/hwinfo/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libx86emu-devel
BuildRequires:  gcc
BuildRequires:  flex
BuildRequires:  perl-interpreter

%description
hwinfo is to probe for the hardware present in the system. It can be used to
generate a system overview log which can be later used for support.


%package devel
Summary:        Development files for hwinfo
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
Header files and libraries for developing with libhd library from hwinfo, a
hardware information tool.


%prep
%setup -q


%build
# Parallel make disabled due to missing libhd.a dependency
make %{make_flags}


%install
%make_install %{make_flags}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_libdir}/libhd.so.*
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_sbindir}/getsysinfo
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_datadir}/hwinfo
%doc *.md MAINTAINER
%license COPYING


%files devel
%{_includedir}/hd.h
%{_libdir}/pkgconfig/hwinfo.pc
%{_libdir}/libhd.so


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 21.47-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 21.47-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 21.47-3
- Properly apply build flags

* Fri Aug 25 2017 Lubomir Rintel <lkundrak@v3.sk> - 21.47-2
- Better align with packaging guidelines

* Tue Aug 01 2017 Lubomir Rintel <lkundrak@v3.sk> - 21.47-1
- Initial packaging
